# PhasicFlow: src/Interaction/contactSearch/methods/cellBased/NBS/mapperNBSKernels.hpp File Reference
PhasicFlow is an open-source parallel DEM (discrete element method) package for simulating granular flow. It is developed in C++ and can be exectued on both GPU (like CUDA) and CPU.

mapperNBSKernels.hpp File Reference
Include dependency graph for mapperNBSKernels.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

| pFlow
| pFlow::mapperNBSKernels

## Functions

void | findPointExtends (const deviceViewType1D< realx3 > &points, const pFlagTypeDevice &flags, realx3 &minPoint, realx3 &maxPoint)
bool | buildListsReduce (const cells &searchCell, const deviceViewType3D< uint32 > &head, const deviceViewType1D< uint32 > &next, const deviceViewType1D< realx3 > &points, const pFlagTypeDevice &flags)
bool | buildLists (const cells &searchCell, const deviceViewType3D< uint32 > &head, const deviceViewType1D< uint32 > &next, const deviceViewType1D< realx3 > &points, const pFlagTypeDevice &flags)